import { TextLintModuleResolver } from "../engine/textlint-module-resolver";
/**
 * Convert config of preset to rawRulesConfig flat path format.
 *
 * This function convert Preset nesting rule to flat path
 * ```
 * {
 *  "x" : true
 *  "preset-a" : { "rule-name": "value" }
 * }
 * ```
 * =>
 * ```
 * { "x": true }
 * { "a/rule-name": "value" }
 * ```
 *
 * @param rawRulesConfig
 * @returns {{string: string}}
 */
export declare function createFlatRulesConfigFromRawRulesConfig(rawRulesConfig: any): {
    [index: string]: any;
};
/**
 * create flat `<plugin>/<rule>` option
 * @param {Object} [rulesConfig]
 * @param {string} presetName
 * @returns {Object}
 */
export declare function createFlatPresetRulesConfigFromRawPresetRuleConfig(rulesConfig: {
    [index: string]: string;
}, presetName: string): object;
/**
 *
 * @param presetNames
 * @param {TextLintModuleResolver} moduleResolver
 * @returns {{}}
 */
export declare function loadRulesConfigFromPresets(presetNames: string[] | undefined, moduleResolver: TextLintModuleResolver): {};
//# sourceMappingURL=preset-loader.d.ts.map