"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextLintFixer = void 0;
const promises_1 = __importDefault(require("fs/promises"));
function overWriteResult(result) {
    const targetFilePath = result.filePath;
    const output = result.output;
    return promises_1.default.writeFile(targetFilePath, output);
}
class TextLintFixer {
    /**
     * write output to each file and return promise
     * @param textFixMessages
     * @returns {Promise}
     */
    write(textFixMessages) {
        const promises = textFixMessages.map(overWriteResult);
        return Promise.all(promises);
    }
}
exports.TextLintFixer = TextLintFixer;
//# sourceMappingURL=textlint-fixer.js.map