"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pluginsObjectToKernelRule = exports.filterRulesObjectToKernelRule = exports.rulesObjectToKernelRule = void 0;
/**
 * Convert rulesObject to TextlintKernelRule
 * {
 *     "rule-name": rule
 * },
 * {
 *     "rule-name": ruleOption
 * }
 *
 * => TextlintKernelRule
 */
const rulesObjectToKernelRule = (rules, rulesOption) => {
    return Object.keys(rules).map((ruleId) => {
        return {
            ruleId,
            rule: rules[ruleId],
            options: rulesOption[ruleId]
        };
    });
};
exports.rulesObjectToKernelRule = rulesObjectToKernelRule;
const filterRulesObjectToKernelRule = (rules, rulesOption) => {
    return Object.keys(rules).map((ruleId) => {
        return {
            ruleId,
            rule: rules[ruleId],
            options: rulesOption[ruleId]
        };
    });
};
exports.filterRulesObjectToKernelRule = filterRulesObjectToKernelRule;
/**
 * Convert pluginsObject to TextlintKernelPlugin
 * {
 *     "plugin-name": plugin
 * },
 * {
 *     "plugin-name": pluginOption
 * }
 *
 * => TextlintKernelPlugin
 */
const pluginsObjectToKernelRule = (plugins, pluginsOption) => {
    return Object.keys(plugins).map((pluginId) => {
        return {
            pluginId,
            plugin: plugins[pluginId],
            options: pluginsOption[pluginId]
        };
    });
};
exports.pluginsObjectToKernelRule = pluginsObjectToKernelRule;
//# sourceMappingURL=object-to-kernel-format.js.map