import { AbstractTextLintEngine } from "./engine/textlint-engine-core";
import { TextLintCore } from "./textlint-core";
import { TextLintFormatterOption } from "../textlint-interface";
import { TextlintFixResult } from "@textlint/kernel";
/**
 * TextFixEngine a adapter for TextLintEngineCore.
 * It aim to pull the whole look together. (TextLintEngine and TextFixEngine)
 * @deprecated use new APIs https://textlint.github.io/docs/use-as-modules.html#new-apis
 */
export declare class TextFixEngine extends AbstractTextLintEngine<TextlintFixResult> {
    /**
     * @param {TextLintCore} textlintCore
     * @returns {function()}
     */
    onFile: (textlintCore: TextLintCore) => (file: string) => Promise<TextlintFixResult>;
    /**
     * @param {TextLintCore} textlintCore
     * @returns {function()}
     */
    onText: (textlintCore: TextLintCore) => (text: string, ext?: string) => Promise<TextlintFixResult>;
    /**
     * @param {TextLintFormatterOption} formatterConfig
     */
    onFormat: (formatterConfig: TextLintFormatterOption) => (results: TextlintFixResult[]) => string;
}
//# sourceMappingURL=textfix-engine.d.ts.map