import { AbstractTextLintEngine } from "./engine/textlint-engine-core";
import { TextLintCore } from "./textlint-core";
import { TextLintFormatterOption } from "../textlint-interface";
import { TextlintResult } from "@textlint/kernel";
/**
 * TextLintEngine a adapter for TextLintEngineCore.
 * It aim to pull the whole look together. (TextLintEngine and TextFixEngine)
 * @deprecated use new APIs https://textlint.github.io/docs/use-as-modules.html#new-apis
 */
export declare class TextLintEngine extends AbstractTextLintEngine<TextlintResult> {
    /**
     * @param {TextLintCore} textlintCore
     * @returns {function()}
     */
    onFile: (textlintCore: TextLintCore) => (file: string) => Promise<TextlintResult>;
    /**
     * @param {TextLintCore} textlintCore
     * @returns {function()}
     */
    onText: (textlintCore: TextLintCore) => (text: string, ext: string | undefined) => Promise<TextlintResult>;
    /**
     * @param {TextLintFormatterOption} formatterConfig
     */
    onFormat: (formatterConfig: TextLintFormatterOption) => (results: TextlintResult[]) => string;
}
//# sourceMappingURL=textlint-engine.d.ts.map