import { CliOptions } from "./options";
type StdinExecuteOption = {
    cliOptions: CliOptions;
    text: string;
    stdinFilename: string;
};
type ExecuteOptions = {
    cliOptions: CliOptions;
    files: string[];
} | StdinExecuteOption;
/**
 * Encapsulates all CLI behavior for eslint. Makes it easier to test as well as
 * for other Node.js programs to effectively run the CLI.
 */
export declare const cli: {
    /**
     * Executes the CLI based on an array of arguments that is passed in.
     * @param {string|string[]} args The arguments to process.
     * @param {string} [text] The text to lint (used for TTY).
     * @returns {Promise<number>} The exit code for the operation.
     */
    execute(args: string | Array<string>, text?: string): Promise<number>;
    /**
     * execute with cli options
     * @returns {Promise<number>} exit status
     */
    executeWithOptions(executeOptions: ExecuteOptions): Promise<number>;
};
export {};
//# sourceMappingURL=cli.d.ts.map