/**
 * @typedef {{key: Function}} RulesObject
 */
export declare class RuleMap extends Map<string, Function> {
    /**
     * has rule at least one > 0
     * @returns {boolean}
     */
    hasRuleAtLeastOne(): boolean;
    getAllRuleNames(): IterableIterator<string>;
    getRule(ruleKey: string): Function | undefined;
    /**
     * @returns {RulesObject}
     */
    getAllRules(): {
        [index: string]: any;
    };
    isDefinedRule(ruleKey: string): boolean;
    /**
     * @param {string} ruleKey
     * @param ruleHandler
     */
    defineRule(ruleKey: string, ruleHandler: Function): void;
    /**
     * reset defined rules
     */
    resetRules(): void;
    toJSON(): {
        [index: string]: any;
    };
}
//# sourceMappingURL=rule-map.d.ts.map