import fs from "fs/promises";
function overWriteResult(result) {
    const targetFilePath = result.filePath;
    const output = result.output;
    return fs.writeFile(targetFilePath, output);
}
export class TextLintFixer {
    /**
     * write output to each file and return promise
     * @param textFixMessages
     * @returns {Promise}
     */
    write(textFixMessages) {
        const promises = textFixMessages.map(overWriteResult);
        return Promise.all(promises);
    }
}
//# sourceMappingURL=textlint-fixer.js.map