export type FindFilesOptions = {
    cwd?: string;
    ignoreFilePath?: string;
};
/**
 * filter files by config
 * @param {string[]} patterns glob patterns
 * @param {{extensions?: string[], cwd?: string }} options
 */
export declare function pathsToGlobPatterns(patterns: string[], options?: {
    extensions?: string[];
    cwd?: string;
}): string[];
/**
 * found files by glob pattern
 * @param {string[]} patterns
 * @param {FindFilesOptions} options
 * @returns {string[]} file path list
 */
export declare function findFiles(patterns: string[], options?: FindFilesOptions): string[];
/**
 * classify files by extname
 * unAvailableFilePath will be used for warning.
 * If The user can use glob pattern like `src/*.js` as arguments, It will be expanded by shell.
 * pathsToGlobPatterns not modified that pattern.
 * So, unAvailableFilePath should be ignored silently.
 * @param {string[]} files
 * @param {{extensions?: string[]}} [options]
 * @returns {{availableFiles: string[], unAvailableFiles: string[]}}
 */
export declare function separateByAvailability(files: string[], options?: {
    extensions?: string[];
}): {
    availableFiles: string[];
    unAvailableFiles: string[];
};
//# sourceMappingURL=find-util.d.ts.map