import { TextlintFilterRuleReporter, TextlintKernelFilterRule, TextlintKernelPlugin, TextlintKernelRule, TextlintPluginCreator, TextlintRuleModule } from "@textlint/kernel";
/**
 * Convert rulesObject to TextlintKernelRule
 * {
 *     "rule-name": rule
 * },
 * {
 *     "rule-name": ruleOption
 * }
 *
 * => TextlintKernelRule
 */
export declare const rulesObjectToKernelRule: (rules: {
    [p: string]: TextlintRuleModule;
}, rulesOption: {
    [p: string]: TextlintKernelRule["options"];
}) => TextlintKernelRule[];
export declare const filterRulesObjectToKernelRule: (rules: {
    [p: string]: TextlintFilterRuleReporter;
}, rulesOption: {
    [p: string]: TextlintKernelFilterRule["options"];
}) => TextlintKernelFilterRule[];
/**
 * Convert pluginsObject to TextlintKernelPlugin
 * {
 *     "plugin-name": plugin
 * },
 * {
 *     "plugin-name": pluginOption
 * }
 *
 * => TextlintKernelPlugin
 */
export declare const pluginsObjectToKernelRule: (plugins: {
    [index: string]: TextlintPluginCreator;
}, pluginsOption: {
    [index: string]: boolean | import("@textlint/kernel").TextlintPluginOptions | undefined;
}) => TextlintKernelPlugin[];
//# sourceMappingURL=object-to-kernel-format.d.ts.map